BOOT98CFG(8)

NAME
boot98cfg - HDD boot manager installation utility

SYNOPSIS
boot98cfg [-B] [-i boot0] [-m boot0.5] [-s secsize] [-v version] [-f boot0.bak] [-F boot0.5.bak] disk

DESCRIPTION
On NEC PC-98s, ‘boot loader’ consists of the ‘IPL’ and ‘HDD boot menu’. The IPL occupies sector 0 of a disk and is followed by the partition table. The IPL loads the HDD boot menu that starts from 0x400.

The boot98cfg utility installs and makes backup copy of the IPL and the HDD boot menu; and allows changing the version number field in the sector 0.

Note that the format command in NEC's OSs replaces the HDD boot menu with its own HDD boot menu when the version number field is smaller than that in the format command.

The options are:

-B  Install the IPL and HDD boot menu. This option causes the IPL and HDD boot menu code to be replaced.

-i boot0
    Specify which IPL image to use. The default is /boot/boot0.

-m boot0.5
    Specify which HDD boot menu image to use. The default is /boot/boot0.5.

-f boot0.bak
    Specify that a backup copy of the preexisting IPL should be written to boot0.bak. This file is created if it does not exist, and truncated if it does.

-F boot0.5.bak
    Specify that a backup copy of the preexisting HDD boot menu should be written to boot0.5.bak. This file is created if it does not exist, and truncated if it does.

-v version
    Specify the version number.

-s secsize
    Specify the sector size. The default sector size is 512 (bytes/sector).

EXIT STATUS

SEE ALSO
boot(8), fdisk(8)

AUTHORS
NOKUBI Hirotaka, KATO Takenori